# export WANDB_MODE=offline

torchrun --nproc_per_node=4 --master_port=20001 fastchat/train/pretrain_mem.py \
    --model_name_or_path yahma/llama-7b-hf \
    --train_file_dir /workspace/medvicuna/pretrain_data_170G \
    --cache_dir /workspace/.cache \
    --bf16 True \
    --output_dir output_pretrain_170G \
    --num_train_epochs 2 \
    --per_device_train_batch_size 32 \
    --per_device_eval_batch_size 16 \
    --gradient_accumulation_steps 16 \
    --evaluation_strategy "no" \
    --eval_steps 4500 \
    --save_strategy "steps" \
    --save_steps 500 \
    --save_total_limit 100000 \
    --learning_rate 3e-5 \
    --weight_decay 0.1 \
    --warmup_ratio 0.04 \
    --lr_scheduler_type "cosine" \
    --logging_steps 1 \
    --fsdp "full_shard auto_wrap" \
    --fsdp_transformer_layer_cls_to_wrap 'LlamaDecoderLayer' \
    --tf32 True \
    --model_max_length 2048 \
    --gradient_checkpointing True &> pretrain_test_30G_batch2048.log